> For the complete documentation index, see [llms.txt](https://developers.evertransit.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.evertransit.com/rest-api/api-references/rides.md).

# Rides

## About the Rides API

The EverTransit Rides API allows you to create and update a ride, as well as retrieve the details of an existing one. To make your requests, you can use the endpoints and their methods listed below.&#x20;

#### Endpoints

* [Create a ride](#createaride)
* [Retrieve a ride](#retrieve-a-ride)
* [Update a ride](#update-a-ride)

### The Ride object

```json
{
  "id": "597d2186fff125a32fe9e315",
  "createdTime": "2022-08-18T01:06:41.800Z",
  "scheduledTime": "2022-08-18T01:10:16.000Z",
  "pickup": {
    "latitude": 42.483327,
    "longitude": -76.49093299999998,
    "address": "40 Catherwood Road, Ithaca, NY, United States"
  },
  "destination": {
    "latitude": 42.434911,
    "longitude": -76.49840599999999,
    "address": "403 South Cayuga Street, Ithaca, NY, United States"
  },
  "service": {
    "id": "578facccc5b9c32d51d87a46",
    "name": "Sedan Luxury",
    "description": "Luxury sedan cars for all types of rides.",
  },
  "rider": {
    "id": "5218481c3c8d4def7f000028",
    "firstName": "John",
    "lastName": "Doe",
    "email": "johndoe@gmail.com",
    "phoneNumber": "+12345678901"
  },
  "driver": {
    "id": "5218481c3c8d4def7f000028",
    "firstName": "Michael",
     "lastName": "Jackson",
     "email": "jackson@hotmail.com",
     "phoneNumber": "+12345678902"
  },
  "passengers": 1,
  "reservationNumber": "RES-QWERT0",
  "status": "completed",
  "vehicle": {
    "make": "Toyota",
    "model": "Corolla",
    "licensePlate": "808ZEL",
    "color": "Blue",
    "year": 2020
  },
  "externalId": "4251092660",
  "paymentMethod": "credit"
}
```

**Attributes**

<table><thead><tr><th width="150">Name</th><th width="153">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>string</td><td>A unique identifier for the ride.</td></tr><tr><td>createdTime</td><td>string</td><td>The date and time the ride was created in ISO format.</td></tr><tr><td>scheduledTime</td><td>string</td><td>The date and time the ride was scheduled in ISO format.</td></tr><tr><td>pickup</td><td>object</td><td>Information about the pickup of the ride. For example, latitude, longitude, and address. </td></tr><tr><td>destination</td><td>object</td><td>Information about the destination of the ride. For example, latitude, longitude, and address. </td></tr><tr><td>service</td><td>object</td><td>Information about the service level of the ride. For example, name and description.</td></tr><tr><td>rider</td><td>object</td><td>Information about the rider of the ride. For example, first name, last name, email, and phone number.</td></tr><tr><td>driver</td><td>object</td><td>Information about the driver of the ride. For example, first name, last name, email, and phone number.</td></tr><tr><td>passengers</td><td>string</td><td>Amount of passengers on the ride.</td></tr><tr><td>reservationNumber</td><td>string</td><td>The reservation number to identify the ride.</td></tr><tr><td>status</td><td>string</td><td>The status of the ride.</td></tr><tr><td>vehicle</td><td>object</td><td>Information about the vehicle of the ride. For example, make, model, license plate, color, and year. </td></tr><tr><td>paymentMethod</td><td>enum</td><td>The payment method used to pay for the ride. It can be one of the followings: credit, cash, external, or invoice.</td></tr><tr><td>externalId</td><td>string</td><td>An external ID to associate the ride with an external system.</td></tr></tbody></table>

### Create a ride <a href="#createaride" id="createaride"></a>

Try in the [**playground**](https://www.evertransit.com/) ![](/files/C6vtqrDamzxYKzASwA00)

{% openapi src="<https://endpoints.evertransit.com/v2beta/spec>" path="/rides" method="post" %}
<https://endpoints.evertransit.com/v2beta/spec>
{% endopenapi %}

[**API playground for creating a ride**](https://openapi.evertransit.com/#/Rides/rides-create)

### Retrieve a ride

{% openapi src="<https://endpoints.evertransit.com/v2beta/spec>" path="/rides/{rideId}" method="get" %}
<https://endpoints.evertransit.com/v2beta/spec>
{% endopenapi %}

[**API playground for retrieving a ride**](https://openapi.evertransit.com/#/Rides/rides-get)

### Update a ride

{% openapi src="<https://endpoints.evertransit.com/v2beta/spec>" path="/rides/{rideId}" method="patch" %}
<https://endpoints.evertransit.com/v2beta/spec>
{% endopenapi %}

[**API playground for updating a ride**](https://openapi.evertransit.com/#/Rides/rides-update)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.evertransit.com/rest-api/api-references/rides.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
